package com.nisum.ecomproduct.exception;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.http.HttpStatus;

import java.time.LocalDateTime;
import java.util.List;

@NoArgsConstructor
@Data
public class ErrorResponse {
    HttpStatus status;
    private LocalDateTime timestamp;
    private String message;
    private String path;
    private List<SubError> subErrors;
}