package com.nisum.ecomproduct.service;

import com.nisum.ecomproduct.model.Product;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface ProductService {
    Product saveProduct(Product product);

    List<Product> saveProducts(List<Product> products);

    Product getProductById(String id);

    List<Product> getRelatedProducts(String searchTerm);

    Product updateProduct(Product product);

    void deleteProductById(String id);
}
